## snmptraplogd 1.0-4

=== Makefile ===
# Makefile for snmptraplogd
#

TARGETS=	snmptraplogd
CONFFILES=	snmptraplogd.conf

# Compilation parameters:

CFLAGS= -O2 -I /usr/include/snmp -DDEBUG -g
LIBS=	-lsnmp -lieee -lnsl

# You should not need to change anything below this line.

all: $(TARGETS)

package: build clean
	build -us -uc

snmptraplogd:    snmptraplogd.o
	${CC} -g -o $@ snmptraplogd.o ${LIBS}

clean:
	rm -f core *.o *.bak ${TARGETS}

clobber: clean
	rm -f $(TARGETS)

install:
	cp ${TARGETS} ${DESTDIR}/usr/sbin
	cp $(CONFFILES) $(DESTDIR)/etc

=== debian/changelog ===
snmptraplogd (1.0-4) frozen unstable; urgency=low

  * Using libsnmp3.6 instead of libsnmp3.5

 -- Bernd Schumacher <Bernd_Schumacher@hp.com>  Thu, 24 Dec 1998 13:11:00 +0100

snmptraplogd (1.0-3) unstable; urgency=low

  * Corrected Bug #26440: /tmp race condition with log

 -- Bernd Schumacher <Bernd_Schumacher@hp.com>  Thu, 24 Sep 1998 14:08:39 +0200

snmptraplogd (1.0-2) unstable; urgency=low

  * Corrected debian/copyright file

 -- Bernd Schumacher <Bernd_Schumacher@hp.com>  Tue,  8 Sep 1998 18:33:05 +0200

snmptraplogd (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Bernd Schumacher <Bernd_Schumacher@hp.com>  Wed, 26 Aug 1998 21:59:31 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "Bernd_Schumacher@nice.de"
End:

=== debian/control ===
Source: snmptraplogd
Section: net
Priority: optional
Maintainer: Bernd Schumacher <Bernd_Schumacher@hp.com>
Standards-Version: 2.4.1

Package: snmptraplogd
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: A configurable snmp trap daemon.
 This package contains a configurable snmp trap daemon. The output of this
 snmp daemon may be specified via a configuration file and written to a logfile
 or to the syslog daemon.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=snmptraplogd

build:
	$(checkdir)
	
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd snmptraplogd.conf
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## snmptraplogd 1.0-6.1

=== Makefile ===
--- 
+++ 
@@ -3,18 +3,19 @@
 
 TARGETS=	snmptraplogd
 CONFFILES=	snmptraplogd.conf
+DEFS=		-DSTDC_HEADERS -DCMU_COMPATIBLE -DDEBUG -g
 
 # Compilation parameters:
 
-CFLAGS= -O2 -I /usr/include/snmp -DDEBUG -g
+CFLAGS= -O2 -I /usr/include/ucd-snmp $(DEFS)
 LIBS=	-lsnmp -lieee -lnsl
 
 # You should not need to change anything below this line.
 
 all: $(TARGETS)
 
-package: build clean
-	build -us -uc
+package: clean
+	dpkg-buildpackage -us -uc
 
 snmptraplogd:    snmptraplogd.o
 	${CC} -g -o $@ snmptraplogd.o ${LIBS}

=== debian/changelog ===
snmptraplogd (1.0-6.1) frozen unstable; urgency=low

  * NMU to get libsnmp4.1 version into potato.

 -- David Engel <david@debian.org>  Sun, 23 Apr 2000 21:29:04 -0500

snmptraplogd (1.0-6) unstable; urgency=low

  * Using libsnmp4.1 instead of libsnmp4.0

 -- Bernd Schumacher <Bernd_Schumacher@hp.com>  Fri, 31 Mar 2000 16:33:35 +0200

snmptraplogd (1.0-5) unstable; urgency=low

  * Using libsnmp4.0 instead of libsnmp3.6

 -- Bernd Schumacher <Bernd_Schumacher@hp.com>  Thu, 30 Dec 1999 18:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Package: snmptraplogd
 Section: net
 Architecture: any
+Conflicts: snmpd
+Replaces: snmpd
 Depends: ${shlibs:Depends}
 Description: A configurable snmp trap daemon.
  This package contains a configurable snmp trap daemon. The output of this
